<?php
declare (strict_types = 1);

namespace app\subscribe;

use app\repository\SpuRepository;
use think\facade\Log;

class Spu
{
    public function onSpuCheck()
    {
        Log::info('触发事件：商品检测 活动商品过期处理');
        // 检测并还原限时折扣
        SpuRepository::getInstance()->restoreLimitTime([]);
    }
}
